#!/bin/bash
######################################################################
#                                                                    #
#  Copyright (c) 2002, 2025 NoMachine, http://www.nomachine.com.     #
#                                                                    #
#  All rights reserved.                                              #
#                                                                    #
######################################################################

if test $# -ne 0; then
  echo "ERROR: parameters error"
  exit 1
fi

if test -x "/bin/echo"; then
  COMMAND_ECHO="/bin/echo"
else
  echo "NX> 500 Error: echo command not found."
  exit 1
fi

if test -x "/sbin/ifconfig"; then
  COMMAND_IFCONFIG="/sbin/ifconfig"
else
  echo "NX> 500 Error: ifconfig command not found."
  exit 1
fi

name=0

while test $name -lt 16; do
  ${COMMAND_IFCONFIG} nxtap$name >/dev/null 2>&1

  if test "x$?" == "x1"; then
    ${COMMAND_ECHO} /dev/nxtap$name

    exit 0
  fi

  name=$[${name} + 1]
done

